#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/time.h>
#include "client.h"

int xid_display_first=0, xid_display_last=-1;
int screen_need_rescale=0;

void display_init(int argc, char *argv[])
{
	int i;
	argc=argc; /* Keep compiler quiet */
	argv=argv; 
	printf("      ");
	for (i=0; i<FIELD_LAST; i++)
	{
		printf(" %9s", field_name_field(i));
	}
	printf("\n");
}

void screen_rotate(int delta)
{
	int i=xid_display_last+1;

	xid_display_last+=delta;

	if (xid_display_first<xid_display_last-10) 
		xid_display_first=xid_display_last-10;
	if (i<xid_display_last-10) 
		i=xid_display_last-10;

	for (; i<=xid_display_last; i++)
	{
		int j;
		int types[FIELD_LAST];
		double data[FIELD_LAST];
		values_get(i, 0, FIELD_LAST-1, types, data, NULL);
		printf("%-6i", i);

		for (j=0; j<FIELD_LAST; j++)
		{
			switch (types[j])
			{
			case VALUE_UNDEFINED:
				printf("     undef");
				break;
			case VALUE_UNKNOWN:
				printf("   unknown");
				break;
			case VALUE_UNAVAILABLE:
				printf("   unavail");
				break;
			case VALUE_KNOWN:
				printf(" %9.2f", data[j]);
				break;
			}
		}
		printf("\n");
	}
}

void screen_update(int xid)
{
	xid=xid; /* Keep compiler quiet */
}

void screen_recalc(void)
{
}

void display_preselect(int *maxfd, fd_set *rfds, fd_set *wfds, struct timeval *tvp)
{
	maxfd=maxfd; /* Keep compiler quiet */
	rfds=rfds;
	wfds=wfds;
	tvp=tvp;
}

void display_postselect(fd_set *rfds, fd_set *wfds)
{
	rfds=rfds; /* Keep compiler quiet */
	wfds=wfds;
}

