.TH xmon-client 1 "04 Dec 2002" "Remote monitoring" pjb1008
.SH NAME
xmon-client \- X11 client for remote load monitor
.SH SYNOPSIS
.B xmon-client
[\fIOPTIONS\fR]
[\fIhostname\fR]
.SH DESCRIPTION
This program displays various statisitcs, such as load, memory free,
swap used, number of processes and RTT in a strip graph. Clicking on
the text at the top of the window will cycle through the statistics.
.PP
Unlike xload, this program is intended to run on the same computer as
the X display. A separate server program \fBxmon-server\fR runs on the
computer being monitored. The two halves communicate over udp port 400.
.PP
When the host isn't reachable, either because the computer is down or
the network is down, the title bar will flash to draw your attention
to it, then go a steady red.
.PP
If \fIhostname\fR is not specified, localhost is assumed.
.SH OPTIONS
.TP
.B \-ready \fIcolour\fP
Set the colour for normal operations [green]
.TP
.B \-standby \fIcolour\fP
Set the colour for port unreachable [orange]
.TP
.B \-alert \fIcolour\fP
Set the colour for host unreachable [red]
.TP
.B \-alertflash \fIcolour\fP
Set the second colour for host unreachable [white]
.TP
.B \-feint \fIcolour\fP
Set the colour for load lines [light grey]
.TP
.B \-readyfeint \fIcolour\fP
Set the second colour for load lines [same as feint]
.TP
.B \-foreground  \fIcolour\fP \fRor\fP \-fg \fIcolour\fP
Set the foregound colour [black]
.TP
.B \-background  \fIcolour\fP \fRor\fP \-bg \fIcolour\fP
background colour [grey]
.TP
.B \-fn \fIfont\fP
Set font used for displaying text [fixed]
.TP
.B \-geometry \fIgeom\fR
initial geometry [116x76]
.TP
.B \-stripe \fIinteger\fR
height of status bar [6]
.TP
.B \-display \fXname\fR
name of X server
.TP
.B \-port \fIinteger\fR
udp port to use [400]
.TP
.B \-update \fIinteger\fR
update interval in seconds [30]
.TP
.B \-xrm \fIresource\fR
resource line
.TP
.B \-help
display usage message
.SH RESOURCES
The meaning of the X resources in this program are obvious, so I
simply enumerate them here to make the capitalisation clear.
.PP
ready
.br
standby
.br
alert
.br
alertFlash
.br
feint
.br
readyFeint
.br
foreground
.br
background
.br
foreground
.br
background
.br
Font
.br
Stripe
.br
geometry
.br
display
.br
port
.br
update
.SH STATISTICS
.TP
.B Load 1m, Load 5m, Load 15m
The kernel computes 3 moving averages with different time constants
which give a measure of how busy the computer is. The load is the
number of tasks running plus the number of tasks in uninterruptible
sleep (device wait).
.TP
.B Procs/50
This is the number of processes, including kernel threads, regardless
of whether they are running or sleeping.
.TP
.B Mem Free
The proportion of memory free. This is usually very low, since the kernel will use any otherwise unused memory for caches.
.TP
.B Swap Free
The proportion of swap free. If no swap space is allocated, that
poportion is not a defined number and no statistics will be shwon.
.TP
.B RTT
This statistics is not provided by the server. It is the round trip
time in seconds from client to server and back. The measurement
included time taken to get the packet from the application to the
network card, so it includes the scheduler latency of the client and
server.
.SH AUTHOR
Peter Benie <peterb+mon@chiark.greenend.org.uk>
.SH COPYRIGHT
Copyright (C) 1998-2002 Peter Benie
.br
Licence: GPLv2
.SH SEE ALSO
xmon-tclient(1), xmon-server(8), xload(1)
